/*
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Description: Child theme for Astra
Author: Georgios Kolomvos
Template: astra
Version: 1.0
*/

/* Σελίδα checkout, Η ένδειξη ΔΩΡΕΑΝ δίπλα στη μέθοδο αποστολής */
.wc-block-checkout__form span.wc-block-checkout__shipping-option--free {
    display: none;
}

/* Σελίδα checkout, Εικονίδιο viva.com */
.wc-block-checkout__payment-method span#radio-control-wc-payment-method-options-vivacom_smart__label img {
    max-height: 55px;
    height: 55px;
	margin-top: -2px;
}

/* Σελίδα checkout, όνομα δικαιούχου των τραπεζικών λογαριασμών */
.woocommerce-checkout span#account-name {
    font-weight: 700;
}

/* Σελίδα checkout, ο τίτλος "Τα στοιχεία της τράπεζάς μας" στην πληρωμή μέσω τραπέζης*/
.woocommerce-checkout h2.wc-bacs-bank-details-heading {
    display: none;
}

/* Σελίδα checkout, ο υπότιτλος της πληρωμής Paypal που δεν μεταφράζεται με Loco translate*/
.woocommerce-checkout #radio-control-wc-payment-method-options-ppcp-gateway__content > div > p:first-child {
    display: none;
}

/* Σελίδα Επικοινωνίας */
.contact-info {
	padding-top: 1.5rem!important;
}
.contact-info .left-col {
    margin-bottom: 20px;
}

/* Σελίδα Επικοινωνίας, τίτλοι πεδίων */
.contact-info .wpcf7 label {
    font-size: 100%;
    font-weight: bold;
}

/* Σελίδα Επικοινωνίας, γραμμές πεδίων */
.contact-info .wpcf7 input,
.contact-info .wpcf7 textarea {
    border-color: #bbb;
}

/* Το όνομα του προϊόντος στη φόρμα "Ενδιαφέρομαι για προϊόν παρόμοιο με το" */
.wpcf7-form .product-preview p#preview-title {
    font-size: 1.3em;
    margin-bottom: 0.8em;
}

/* Η εικόνα του προϊόντος στη φόρμα "Ενδιαφέρομαι για προϊόν παρόμοιο με το" */
.wpcf7-form .product-preview p img#preview-img {
    max-height: 230px;
}

/* Τα υπομενού του κύριου μενού για μικρές οθόνες να είναι πλήρως ανεπτυγμένα */ 
.ast-mobile-header-content .menu-item ul.sub-menu {
    display: block!important;
}

/* Φράση μετά την "Αποτελέσματα Αναζήτησης για:..."  */
.ast-container section.ast-archive-description p {
    display: none;
}

/* Ο χώρος πάνω από το περιεχόμενο των σελίδων και κάτω από το header */
.site-content .ast-container #primary {
    margin-top: 1.7em;
}

/* Κρύβω τον τίτλο shop από την αρχική σελίδα */
.home .ast-archive-description {
    display: none;
}


/* Σε μικρή οθόνη χώρος κάτω από τη γραμμή με τα Search-Account-Cart icons 
.site-header .ast-below-header-wrap {
    margin-bottom: 30px;
}
*/

/* κουτάκι αναζήτησης*/
.category-search-box form {
    display: flex;
    gap: 10px;
}

/* Κουμπί "Ενδιαφέρομαι για παρόμοιο" με απλή HTML στην περιγραφή προϊόντος */
/*
.interested-in-similar a.button {
    text-decoration: none;
    display: block;
    margin-top: 12px;
    width: fit-content;
}
*/

/* Κουμπί "Ενδιαφέρομαι για παρόμοιο" με κώδικα στο functions.php */
a.button.req-sim-prod-btn {
    margin-bottom: 25px;
}

.woocommerce-js div.product div.summary {
    margin-bottom: 1.6em;
}

/* Επιγραφή "ΠΩΛΗΘΗΚΕ" πάνω από εικόνα προϊόντος στη σελίδα shop ή κατηγορίας προϊόντων */
.woocommerce-page ul.products li.product span.ast-shop-product-out-of-stock {
    background-color: rgba(255,255,255,0.70);
    text-transform: none!important;
}

/* Η φράση "Ζητήστε παρόμοιο" κάτω από το "ΠΩΛΗΘΗΚΕ" σε εικόνες προϊόντος */
.woocommerce-page ul.products li.product span.ast-shop-product-out-of-stock::after {
    content: "Ζητήστε παρόμοιο";
    display: block;
	font-size: 0.95em;
}

/* Μετάφραση στα Αγγλικά για τη φράση "Ζητήστε παρόμοιο" */
html.lang-en .woocommerce-page ul.products li.product span.ast-shop-product-out-of-stock::after {
    content: "Request similar";
}

.woocommerce-page ul.products li.product:hover span.ast-shop-product-out-of-stock {
    background-color: rgba(255,255,255,0.45)!important;
}

/* Περίγραμμα γύρω από την εικόνα προϊόντων στις σελίδες προϊόντος και shop ή κατηγορίας προϊόντων */
img.attachment-woocommerce_thumbnail.size-woocommerce_thumbnail,
.woocommerce-product-gallery.woocommerce-product-gallery--with-images.woocommerce-product-gallery--columns-4.images {
    border: lightgrey solid 1px;
}

/* Ύψος των κουτιών textarea στις φόρμες Contact Form 7 */
textarea.wpcf7-form-control.wpcf7-textarea {
    height: 8em;
}


/* product page -> κρύβω τα product attributes */
.woocommerce-js div.product .woocommerce-tabs ul.tabs {
    display: none;
}

/* product page -> product description & attributes */
.woocommerce-js div.product .woocommerce-tabs {
    padding-top: 0;
}

/* product page -> product description & attributes δίπλα στην εικόνα προϊόντος σε μεγάλη οθόνη */
.woocommerce-tabs.wc-tabs-wrapper {
    float: right!important;
    width: 46%!important;
    clear: none!important;
}

@media (max-width: 921px) {
/* product page -> product description & attributes κάτω από την εικόνα προϊόντος σε μικρή οθόνη */
.woocommerce-tabs.wc-tabs-wrapper {
    float: none;
    width: 100%!important;
    clear: both!important;
}
}
